<!--
title: Micro Cheatsheet
description: Learn the default keybindings
published: true
date: 2021-12-19T10:58:36.957Z
tags: 
editor: ckeditor
dateCreated: 2020-11-15T16:19:50.709Z
-->

<p><a href="https://micro-editor.github.io/">Micro</a> is default text editor of Garuda Linux. Unlike most of the distributions provide vi or nano as default text editor, Garuda Linux ships micro because it is <strong>very user friendly</strong>, <strong>intuitive</strong>, has a <strong>beautiful UI&nbsp;</strong> and is <strong>easy to configure</strong>.</p>
<figure class="image"><img src="/screenshots/micro.png"></figure>
<p>&nbsp;</p>
<h2>Default keybindings:</h2>
<p><strong>“Key”: “Action”</strong></p>
<ul>
  <li>"Up": "CursorUp",&nbsp;</li>
  <li>"Down": "CursorDown",&nbsp;</li>
  <li>"Right": "CursorRight",&nbsp;</li>
  <li>"Left": "CursorLeft",&nbsp;</li>
  <li>"ShiftUp": "SelectUp",&nbsp;</li>
  <li>"ShiftDown": "SelectDown",&nbsp;</li>
  <li>"ShiftLeft": "SelectLeft",&nbsp;</li>
  <li>"ShiftRight": "SelectRight",&nbsp;</li>
  <li>"AltUp": "MoveLinesUp",&nbsp;</li>
  <li>"AltDown": "MoveLinesDown",&nbsp;</li>
  <li>"CtrlShiftRight": "SelectWordRight",&nbsp;</li>
  <li>"CtrlShiftLeft": "SelectWordLeft",&nbsp;</li>
  <li>"AltLeft": "StartOfTextToggle",&nbsp;</li>
  <li>"AltRight": "EndOfLine",&nbsp;</li>
  <li>"AltShiftLeft": "SelectToStartOfTextToggle",&nbsp;</li>
  <li>"ShiftHome": "SelectToStartOfTextToggle",&nbsp;</li>
  <li>"AltShiftRight": "SelectToEndOfLine",&nbsp;</li>
  <li>"ShiftEnd": "SelectToEndOfLine",&nbsp;</li>
  <li>"CtrlUp": "CursorStart",&nbsp;</li>
  <li>"CtrlDown": "CursorEnd",&nbsp;</li>
  <li>"CtrlShiftUp": "SelectToStart",&nbsp;</li>
  <li>"CtrlShiftDown": "SelectToEnd",&nbsp;</li>
  <li>"Alt-{": "ParagraphPrevious",&nbsp;</li>
  <li>"Alt-}": "ParagraphNext",&nbsp;</li>
  <li>"Enter": "InsertNewline",&nbsp;</li>
  <li>"Ctrl-h": "Backspace",&nbsp;</li>
  <li>"Backspace": "Backspace",&nbsp;</li>
  <li>"Alt-CtrlH": "DeleteWordLeft",&nbsp;</li>
  <li>"Alt-Backspace": "DeleteWordLeft",&nbsp;</li>
  <li>"Tab": "Autocomplete|IndentSelection|InsertTab",&nbsp;</li>
  <li>"Backtab": "OutdentSelection|OutdentLine",&nbsp;</li>
  <li>"Ctrl-o": "OpenFile",&nbsp;</li>
  <li>"Ctrl-s": "Save",&nbsp;</li>
  <li>"Ctrl-f": "Find",&nbsp;</li>
  <li>"Ctrl-n": "FindNext",&nbsp;</li>
  <li>"Ctrl-p": "FindPrevious",&nbsp;</li>
  <li>"Ctrl-z": "Undo",&nbsp;</li>
  <li>"Ctrl-y": "Redo",&nbsp;</li>
  <li>"Ctrl-c": "CopyLine|Copy",&nbsp;</li>
  <li>"Ctrl-x": "Cut",&nbsp;</li>
  <li>"Ctrl-k": "CutLine",&nbsp;</li>
  <li>"Ctrl-d": "DuplicateLine",&nbsp;</li>
  <li>"Ctrl-v": "Paste",&nbsp;</li>
  <li>"Ctrl-a": "SelectAll",&nbsp;</li>
  <li>"Ctrl-t": "AddTab",&nbsp;</li>
  <li>"Alt-,": "PreviousTab",&nbsp;</li>
  <li>"Alt-.": "NextTab",&nbsp;</li>
  <li>"Home": "StartOfText",&nbsp;</li>
  <li>"End": "EndOfLine",&nbsp;</li>
  <li>"CtrlHome": "CursorStart",&nbsp;</li>
  <li>"CtrlEnd": "CursorEnd",&nbsp;</li>
  <li>"PageUp": "CursorPageUp",&nbsp;</li>
  <li>"PageDown": "CursorPageDown",&nbsp;</li>
  <li>"CtrlPageUp": "PreviousTab",&nbsp;</li>
  <li>"CtrlPageDown": "NextTab",&nbsp;</li>
  <li>"Ctrl-g": "ToggleHelp",&nbsp;</li>
  <li>"Alt-g": "ToggleKeyMenu",&nbsp;</li>
  <li>"Ctrl-r": "ToggleRuler",&nbsp;</li>
  <li>"Ctrl-l": "command-edit:goto ",&nbsp;</li>
  <li>"Delete": "Delete",&nbsp;</li>
  <li>"Ctrl-b": "ShellMode",&nbsp;</li>
  <li>"Ctrl-q": "Quit",&nbsp;</li>
  <li>"Ctrl-e": "CommandMode",&nbsp;</li>
  <li>"Ctrl-w": "NextSplit",&nbsp;</li>
  <li>"Ctrl-u": "ToggleMacro",&nbsp;</li>
  <li>"Ctrl-j": "PlayMacro",&nbsp;</li>
  <li>"Insert": "ToggleOverwriteMode"</li>
  <li>"MouseWheelUp": "ScrollUp",&nbsp;</li>
  <li>"MouseWheelDown": "ScrollDown",&nbsp;</li>
  <li>"MouseLeft": "MousePress",&nbsp;</li>
  <li>"MouseMiddle": "PastePrimary",&nbsp;</li>
  <li>"Ctrl-MouseLeft": “MouseMultiCursor”</li>
</ul>
